Check&Place API Reference
HomeSimpra POSSimpra InventoryCheck&Place
HomeSimpra POSSimpra InventoryCheck&Place
  1. Tables
  • Introduction
  • Anonym Customers
    • create
      POST
    • update
      PATCH
  • Calendars
    • calendar
      GET
  • Customer Types
    • index
      GET
  • Customers
    • create
      POST
    • destroy
      DELETE
    • show
      GET
    • update
      PATCH
    • history
      GET
    • in blacklist
      PATCH
    • index
      POST
    • out blacklist
      PATCH
    • reports
      GET
    • reservations
      POST
    • search
      GET
    • sitting search
      POST
  • Daily Notes
    • daily note
    • show
  • Dashboard
    • daily report
    • summary report
    • weekly report
  • Events
    • create
    • index
    • destroy
    • update
  • Health Checks
    • live
  • Off Days
    • calendar
    • create
    • index
    • destroy
    • Update
  • Organizations
    • add_favorite
    • index
    • add_favorite
  • Reasons
    • index
  • References
    • create
    • index
    • show
    • update
  • Reports
    • mobile reports
    • web reports
  • Reservation Notifications
    • create
    • sms
  • Reservation Payments
    • change-status
    • create
    • update
    • reactivate
  • Reservation Requests
    • approve
    • count
    • create
    • history
    • index
    • reject
    • update
  • Reservations
    • batch check out
    • cancel
    • check duplicate
    • check in
    • check out
    • confirm
    • create
    • index
    • delay
    • delayed calendars
    • group by day
    • history
    • rollback
    • show
    • undo check in
    • upcoming reservations
    • update
    • view list
  • Revenue Centers
    • create
    • index
    • destroy
    • show
    • update
    • insert
  • Reviews
    • index
    • show
  • Search
    • Customers
    • Reservations
    • Integration
  • Slots
    • capacities
    • create
    • index
    • destroy
    • update
  • Stores
    • add favorite
    • remove favorite
    • index
    • show
    • update
  • Table Plan Objects
    • create
    • index
    • destroy
    • update
    • objects
  • Tables
    • assign
      PATCH
    • available-capacities
      GET
    • available-for-assign
      GET
    • discharge
      PATCH
    • index
      POST
    • layout
      GET
    • next-reservations
      GET
    • reservations
      GET
    • reset
      PATCH
    • revoke
      DELETE
    • rollback
      PATCH
    • save
      POST
    • sitting-reservations
      GET
    • split
      PATCH
    • status
      POST
  • Tags
    • index
  • Users
    • create
    • index
    • current-user
    • destroy
    • show
    • update
    • user-check
  • Extensions
    • index
  • License
    • index
    • store_license
  • Wallets
    • create
    • destroy
    • index
    • set_default
  1. Tables

reservations

Production
https://api.checkandplace.com
Production
https://api.checkandplace.com
GET
/api/v1/tables/{id}/reservations

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
API Key
Add parameter in header
EMPLOYEE_TOKEN
Example:
EMPLOYEE_TOKEN: ********************
API Key
Add parameter in header
STORE_PIN_CODE
Example:
STORE_PIN_CODE: ********************
API Key
Add parameter in header
SLUG_NAME
Example:
SLUG_NAME: ********************
or
Path Params

Query Params

Responses

🟢200
application/json
successful
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.checkandplace.com/api/v1/tables//reservations?date=2025-05-06' \
--header 'Authorization: <api-key>' \
--header 'EMPLOYEE_TOKEN: <api-key>' \
--header 'STORE_PIN_CODE: <api-key>' \
--header 'SLUG_NAME: <api-key>'
Response Response Example
{
    "reservations": [
        {
            "id": "430fd33f-29be-4e3c-8d48-d2f661822210",
            "status": "confirm",
            "date": "2024-05-06T13:30:00Z",
            "assigned_at": "2024-05-06T13:00:00Z",
            "estimated_discharged_at": "2024-05-06T14:00:00Z",
            "guest_count": 4,
            "occupied_seat_count": 1,
            "expected_guest_count": 3,
            "male_cover": 2,
            "female_cover": 1,
            "child_cover": 1,
            "note": "Example note",
            "is_getting_paid": true,
            "hotel_room_number": "101",
            "is_hotel_customer": true,
            "make_a_reservation": true,
            "confirmation_source": "sms",
            "created_source": "web",
            "revenue_center_id": "4786cb50-6b6d-4070-a8a0-4a2d5153022a",
            "table_id": "fee05345-a588-4984-8641-c2fd75c5306a",
            "is_first_reservation": false,
            "tables": [
                {
                    "id": "c567e9da-d5e7-4614-a1bd-d8a4aba9dcf8",
                    "name": "Table 1",
                    "capacity": 4
                }
            ],
            "customer": {
                "id": "7631bb06-025e-4da2-9a3e-6fec5ae743af",
                "name": "John Doe",
                "type_id": "4d485d62-7dbb-468f-b156-6c745684148e",
                "is_anonym": false,
                "blacklist": false,
                "nickname": "JD",
                "allow_sms": true,
                "note": "VIP",
                "small_image_url": "https://example.com/small.png",
                "summary": {
                    "average_spend": 250,
                    "sum_of_payments": 1250,
                    "last_visited_at": "2024-05-01T20:30:00Z",
                    "last_visited_table": "Table 9",
                    "last_visited_revenue_center": "Garden",
                    "last_visited_spend": 300,
                    "past_reservations_count": 8,
                    "future_reservations_count": 2,
                    "total_reservations_count": 10,
                    "reservations_count": 10,
                    "total_no_show_count": 1,
                    "total_cancel_count": 0,
                    "reviews_average_score": 4.5
                },
                "reviews_average_score": 4.5,
                "tags": [
                    {
                        "id": "cf7adc2f-cba6-48ea-bca3-3a07cec02193",
                        "name_tr": "VIP",
                        "name_en": "VIP",
                        "type": "reservation",
                        "icon_type": "individual",
                        "icon": "⭐"
                    }
                ]
            },
            "reservation_payment": {
                "id": "d157384e-a352-4135-a214-0c66eb0e7dc6",
                "amount": 10,
                "currency": "TRY",
                "status": "pending"
            },
            "provision_payment": {
                "id": "efa2021e-d77c-4e22-9312-47273bdc0b48",
                "amount": 15,
                "currency": "TRY",
                "status": "waiting",
                "type": "provision"
            },
            "reference": {
                "id": "c0172638-e663-41eb-8318-1a6b7ff8d0ef",
                "name": "Salih Büker",
                "phone_number": "5051105690",
                "email": "sbuker@protel.com.tr"
            },
            "tags": [
                {
                    "id": "f5e1ec46-85ab-4035-b386-baa748b88f98",
                    "name_tr": "Doğum Günü",
                    "name_en": "Birthday",
                    "type": "reservation",
                    "icon_type": "birthday",
                    "icon": "🎂"
                }
            ]
        }
    ]
}
Modified at 2026-03-09 18:33:58
Previous
next-reservations
Next
reset
Built with